const config = require('../config');
const fs = require('fs');

const handle = (req, res) => {

  let resourse = `${config.BASE_DIR}${req.originalUrl}/${config.FOLDER_INDEX.FEATURES}`;

  if (!fs.existsSync(resourse)) {
    res.sendStatus(404);
    res.end();
    return;
  }

  res.set({
    'Content-Type': 'application/json',
    'Content-Encoding': 'gzip'
  });
  res.sendFile(resourse);

};

module.exports = handle;