const express = require("express");
const getHandler = require('../src/handler');

let router = express.Router();

router.route("/").get((req, res) => {

  res.sendStatus(404);
  res.end();

});

router.route("[/]?*/:leaf").get((req, res) => {

  let leaf = req.params.leaf;
  let handler = getHandler(leaf);
  handler(req, res);

});

module.exports = router;